Changelog:
V1.4a (February 6, 2021)
	BUG FIXES:
	Buying a Lilligant now gives you a Lilligant, not a Pyroar
	
V1.4 (February 4, 2021)
	BATTLE:
	All Pokémon have their entire Gen VII learnset (level-up, TM, tutor) available at the Move Relearner. Tutors and TMs still exist but are cheaper.
	Miniscule bug fixes from RHH
	

V1.3g (January 26, 2021)
	BUG FIXES:
	Fixed the Major Cloud Nine Bug
	Merged some minor bug fixes from the RHH branch
	Potentially fixed Defog
	
V1.3f (January 24, 2021)
	BATTLE:
	Text now auto-advances in battle like normal AND can be forced to advance by the player by pressing a button (ala Pokemon BW)
	Stat changes now no longer animate with animations off
	Mega Evolution animation is now shortened when animations are off
	Battle Factory trainers are now as smart as any other trainer even from the first round
	Mew will be obedient in battle

V1.3e (January 22, 2021)
	BATTLE:
	Status effects work like in Gen VII, not Gen VI
	Switching AI changed so that the opponent won't switch if all their options are bad
	Bug fixes taken from the Emerald Decomp
	
V1.3d (January 20, 2021)
	BATTLE:
	New AI element added (AI favors not-super-effective moves a lot less and will switch more if they lack good options + Opponents facing a Pokemon they have a type disadvantage to AND no S.E. moves will switch a lot more often)
	AI tweaks (Defog is now a lot less favored if the field has no field effects, Pokemon will now rarely ever heal at full HP)
	New Last Trainer theme (Gym Theme DPPT by fox T.A.K.A)
	Colosseum theme tweaked (8-bit lead no longer cuts out when navigating the menu and sounds nicer)
	Tweaked some Frontier Pokemon to have different moves/abilities (Zangoose & Ambipom)
	FIELD:
	Getting the items at the beginning is shortened.
	Betting Lady now defaults to a no-inverse battle, the battle starts quicker after the text box, and she always uses lvl 100 Pokemon.
	Mystery Gifts available in the Pokémon Center
	
V1.3c (January 16, 2021)
	BATTLE:
	Pokémon Colosseum's battle theme is now in the game
	BUG FIXES:
	Fixed error in Birch's intro speech in the reception hall
	The Random Battle Lady and the famous trainers restore your items after using them in battle like in the Battle Facilities

V1.3b (January 15, 2021)
	BUG FIXES:
	Trying to buy a Pokémon you can't afford will no longer give you the Pokémon anyway
	More Decaps
	
V1.3a (January 14, 2021)
	BUG FIXES:
	Latios and Latias are A-Rank. Neither are S-Rank
	Latiosite is now available (as it was always supposed to be)
	Crit Chance is now Gen VII, not Gen VI
	More Decaps
	
V1.3 (January 12, 2021)
	BATTLE:
	20 new greetings, win quotes, and lose quotes for NPCS
	Aqua/Magma Theme has been replaced with the BW Battle Theme (Midi by Darkmind)
	The final trainer battle in a frontier challenge will play a Gym Leader Theme instead of a Trainer Theme
	Frontier Brains who have a Pokemon who can Mega-Evolve in their Gold Symbol Battle now get Mega Stones
	Frontier Brains's movesets slightly altered to account for Physical/Special Split
	Pokemon Sprite Animations now coincide with the battle animation setting as they used to
	Animations always play when fighting a Frontier Brain, Famous Trainer, or the Special Guest
	
	CONTEST:
	Tucker is now a contestant for contests. He uses his Latias in the master rank
	
	FIELD:
	Ability Switcher has been added. They live in the house north-west of the Battle Tower
	Famous Trainers Channel is no longer random.
	Earning stars now works differently. There are 3 stars in total to earn: 1 from getting all symbols, 1 from mastering all contest categories and getting paintings, and 1 from beating all famous trainers.
	You can no longer nickname Pokemon from the party menu. There is a name rater in the house with the Ability Switcher
	The IV-checker house has been removed
	Changed Shop Charizard's moveset 
	Battle Factory Mienshao's Fling has been replaced by U-Turn (This is because Flinging a King's Rock doesn't flinch)
	New default frame
	Trainer Card no longer has badge icons
	Pokedex now properly tracks whether a Pokemon is caught or only seen. The Pokedex still comes completed and completely accessible, but a little icon denotes which Pokemon you actually own.
	Trainer Card tracks number of caught Pokemon instead of BP (Because BP is in the save screen/Frontier Pass)
	Weather should change immediately if a day passes and the player is outside (before, they would have to walk around or enter/exit a building)
	The order of furniture given by the special guest is slightly changed. This is because the first desk and the first mat didn't support dolls/cushions.
	Rug in the player's room is slightly larger and pink
	
	BUG FIXES:
	Talking to the betting lady will now prevent the game from crashing when talking to someone else afterward.
	Frontier Brains now say their correct Win/Lose Quotes
	When fighting 2 trainers at once, the second trainer now says a Win/Lose quote instead of a greeting.
	Fixed typo when battling Lucy and in generic trainer dialogues
	Buying a Latios now gets you a Latios instead of a Latias
	Added Lopunnite to possible Mega Stones
	Frontier Maniac bug from the original should be fixed (A certain message about Lucy would never appear due to a typo in the code)
	Losing to a non-Frontier Trainer doesn't display a message about losing money
	Using the Move Relearner takes the correct amount of points now
	Fixed Tile Error on the overworld
	Alolan Marowak now correctly activates Thick Club
	Changed some learnsets to remove unfinished moves (Hyperspace Fury, Photon Gyser) [NOTE: You can still learn these moves via move tutor. Refrain from doing so]
	Encounter themes for Famous Trainers and Special Guest changed to be more appropriate
	More Decaps
	

V1.2f (January 3, 2021)
	BATTLE:
	Glaceon no longer knows Shadow Ball twice
	BUG FIXES:
	Items in PC bug fixed.

V1.2e (January 2, 2021)
	BATTLE:
	Gen IV-VII Pokemon now have a new default back animation (that is less straining on the eye)
	DPPt Trainer theme replaces the rival battle theme.
	The no-event NPCs in the Battle Pike have their old dialogue instead of saying random greetings.
	BUG FIXES:
	More Decaps
	6V6 trainer now properly takes BP if you forfeit a battle
	
V1.2d (December 30, 2020)
	BATTLE:
	Rapid Spin no longer increases the user's speed
	FRLG Trainer theme no longer plays as an option
	FRLG Wild battle theme now has a 50% chance of playing against a wild pokemon.
	Debug mode removed
	Shuckle with Contrary knew double team. Now knows Infestation.
	Pokemon animate when sent out even if animations are off (this is because the battle engine doesn't pause for animations, so they might as well play)
	BUG FIXES:
	Battle dome and Item Description Decaps
	You now lose your item again when using Fling

V1.2c (December 29, 2020)
	BUG FIXES:
	HGSS Trainer theme made quieter
	Typo fixed in Trainer Tower

V1.2b (December 29, 2020)
	BATTLE:
	New song selection: Trainer Theme RSE, Trainer Theme HGSS, Trainer Theme FRLG, Aqua/Magma Grunt Theme, Rival Battle Theme. 

	BUG FIXES:
	Special guest now actually gives you a poster instead of only saying she will.
	Moving Secret Bases now has no reference to using the move "Secret Power".
	Some typos in winning/losing quotes is fixed.
	Dortha now has correct winning/losing quote.
	Decap'd some Secret Base text.
	
V1.2a (December 28, 2020)
	BATTLE:
	Fixed a Claydol that was supposed to be a Dodrio.
	
	BUG FIXES:
	Fixed various instances of un-decap'd speech.
	
V1.2 (December 28, 2020)
	BATTLE:
	New Pokemon you can buy from last update are now also available to Frontier Trainers.
	New wild pyramid Pokemon.
	Give the facility trainers new names and randomized dialogue.
	New Trainer in the betting house. You can fight 6v6 battles and inverse battles against her by wagering BP.
	All Trainers (except for Famous Trainers and Frontier Brains) now randomly have either the Wild theme, Trainer theme (RSE), Aqua/Magma grunt theme, Gym Leader theme, or Trainer theme (HGSS) (HGSS Trainer theme - Midi by Phazonruler | Ported by WiserVisor)
	
	CONTEST:
	New contest opponents and Pokemon mixed in with old ones.
	NPC in the contest hall explains how natures relate to affinity for Pokeblocks.

	FIELD:
	Decap'd entire game.
	Reference to picking a gender changed to picking a style (Ala Animal Crossing: New Horizons)
	Battle Facilities now run quicker (walk speed is faster and there is no pause for healing between rounds)
	New Tutors (Buffel Salt).
	TMs are now 25 BP for the set of them.
	You can now buy berries instead of furniture.
	You earn furniture after getting symbols by talking to the special guest.
	Scott gives you exclusive decorations instead of berries for getting all silver/gold symbols.
	The Secret Base in the Cave no longer has a hole in the floor.
	Scott no longer leaves berries in your PC.
	
	BUG FIXES:
	Save Screen display bug fixed.
	Bug where opponents had low IVs fixed (all opponents always have perfect IVs to make it fair).
	Frontier Turtonator now has Protect instead of Shell Trap because Shell Trap isn't programmed in yet.
	Bug where opponents don't select from their full list of available pokemon fixed (Though lists are made smaller as a result).
	Fixed bug where Eelektross might be given twice to the player. Now player has a chance of receiving Oricorio Pom-Pom.
	

V1.1c (December 21, 2020)
	Fixed mispelled variable (fixed being able to buy Pokemon even if you couldn't afford it).
	Added option to randomly buy a Pokemon instead of having to pick from the menu

V1.1b (December 21, 2020)
	Sped up battle speed ala Pokemon BW (Lines need a button press to advance instead of a delayed auto-advance).
	HP Bar advances even quicker.
	Birch's sprite is replaced by Scott's in the intro (Credit to pillowsledder)
	In the opening, Bisharp appears at a more appropriate height.
	Birch is written out of the game.
	
V1.1a (December 20, 2020)
	Bug in the Game Corner fixed.
	Nature stat buff colors are switched (Red is buff, blue is nerf) to match Pokemon BW.

V1.1 (December 19, 2020)
	You now select your Pokemon instead of randomly receiving them.
	There are now more Pokemon to buy (almost all of them legendary).
	Getting random Pokemon at the beginning of the game is more random and varied (10000 combinations in total).
	HP bar is faster to scroll and no longer beeps when HP is low.
	You can now maximize or minimize IVs for 1 BP each.
	Natures now show stats they increase in blue and stats they decrease in red. 
	Save screen and Trainer Card now shows Symbols and BP instead of Badges and Pokedex.
	Trainer Card Stars are oriented to PFA (1 for getting all Gold Symbols, 1 for defeating the special guest, 1 for winning all Contest Master Ranks, and 1 for getting 100 straight Battle Tower Wins)
	All trainers are smarter and Battle Factory trainers start smarter and get smarter faster.
	New famous trainers to fight on the Famous Trainer's Channel (Iris, Diantha, Hau, Kukui).
	Sitrus Berry now has Gen IV+ effect (eatthepear).
	Pokemon Categories now has more correct capitalization.
	A special guest has made their way to the island.
	Gear Bike is now auto-registered.
	

V1.05a (December 16, 2020):
	Fixed EV setting.
	Implemented Hidden Nature setting.

V1.05 (December 15, 2020):
	Child in Pokemon Center now can change a Pokemon's EVs for 2 BP.
	One Factory Clawitzer given correct ability and new moveset.
	Vivillon and Frofrou now use one of their unique sprites instead of the default.
	Game Corner graphical glitch fixed.


V1.04a (December 15, 2020):
	Starting BP reset back to 5BP.

V1.04 (December 15, 2020):
	2 Secret Bases are now available to create on the island.
	All decorations can be bought from the exchange corner (except for the silver and gold shield.)
	Mom will now say the correct dialogue at home.
	Newsflash will no longer play.
	Rugs will no longer be in places accessible by boat.
	Snow now has more particles.
	Mandibuzz now has the correct party icon.


V1.03b (December 14, 2020):
	Re-adds berries to the item PC.

V1.03a (December 14, 2020):
	Fixed a bug which prevented you from participating in every Facility.
	Abbreviated some move names.
	Changed Battle Factory Musharna's ability from Telepathy to Forewarn.
	You can now use the PC in your room if you're a girl.

V1.03 (December 14, 2020):
	Battle Factory Pokémon now know the correct ability!!!
	All facilities outside of the Battle Factory now assume the player is using level 100 Pokemon.
	A Gallade that knew Stone Edge twice now knows Brick Break instead.
	A Machamp that used to have a Life Orb now has a Flame Orb again.
	Flinging a King's Rock (should) flinch the opponent.
	Added a bit to Scott's dialogue to reference Prof. Birch.


V1.02 (December 13, 2020):
	TMs can be bought in the Exchange Corner. Get all TMs and HMs for 15 BP.
	The weather will change once per day. Look out for rain or snow!
	Move Tutors' cost reduced to 4 across the board.
	1 BP now gets you 25 coins, not 50.
	Buying a Life Orb nets you a Toxic Orb and a Flame Orb.
	Game starts in the Reception Hall instead of by the boat (This is because weather is a daily event, so the clock must be set before the weather is first calculated.)
	Battle Factory Machamp will use a Life Orb instead of a Flame Orb.
	Map changes that reverted in V1.01 are re-implemented.
	Added Pokénav for helping those who decide to pursue contests.


V1.01 (December 11, 2020):
	Updated to the latest version of Pokémon Emerald Battle Engine Upgrade.
	Added HGSS Pokédex and quicker saving.
	Made the available starting Pokémon weaker to incentivize buying new ones.
	Switched Mandibuzz's faulty party icon to a less faulty one (still need to fix, though)
	Fixed Mega Pokémon not having abilities.
	Fixed Battle Arena.
	Removed Effectiveness display (Gotta use your brains!)
	Set the default option to no battle animations.
	Changed the gear shift sound on a bike from the "hop" sound to the "bell ring" sound.
